For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://docs.synthflow.ai/api-reference/platform-api/simulations/llms.txt. For full documentation content, see https://docs.synthflow.ai/api-reference/platform-api/simulations/llms-full.txt.

# Create a simulation suite

POST https://api.synthflow.ai/v2/simulation_suites
Content-Type: application/json

Create a new simulation suite attached to a specific agent. The suite can only be executed on the agent specified by model_id.

Reference: https://docs.synthflow.ai/api-reference/platform-api/simulations/create-simulation-suite

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Synthflow APIs
  version: 1.0.0
paths:
  /simulation_suites:
    post:
      operationId: create-simulation-suite
      summary: Create a simulation suite
      description: >-
        Create a new simulation suite attached to a specific agent. The suite
        can only be executed on the agent specified by model_id.
      tags:
        - ''
      parameters:
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/create-simulation-suite_Response_200'
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Create-simulation-suiteRequestBadRequestError
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SimulationSuiteCreateIn'
servers:
  - url: https://api.synthflow.ai/v2
  - url: https://api.us.synthflow.ai/v2
components:
  schemas:
    SimulationSuiteCreateIn:
      type: object
      properties:
        name:
          type: string
          description: Name of the simulation suite
        model_id:
          type: string
          description: >-
            Agent model ID this suite is for. The suite can only run on this
            specific agent.
        language:
          type: string
          default: en-US
          description: >-
            Language locale for the persona agent and test cases (e.g., 'en-US',
            'es-ES', 'fr-FR'). Must be a valid locale code. Note that 'multi' is
            not allowed for simulation suites.
      required:
        - name
        - model_id
      title: SimulationSuiteCreateIn
    status:
      type: string
      description: Whether the request was successful.
      title: status
    SimulationCaseReadOutType:
      type: string
      enum:
        - custom
        - agent_based
      title: SimulationCaseReadOutType
    SimulationCaseReadOutCallSuccessType:
      type: string
      enum:
        - all
        - any
      title: SimulationCaseReadOutCallSuccessType
    SimulationCaseReadOutBaseAgent:
      type: object
      properties:
        model_id:
          type: string
        agent_name:
          type: string
        agent_type:
          type: string
        voice_engine_type:
          type: string
        phone_number:
          type:
            - string
            - 'null'
        updated_at:
          type: string
          format: date-time
        image_url:
          type:
            - string
            - 'null'
      title: SimulationCaseReadOutBaseAgent
    SimulationCaseReadOut:
      type: object
      properties:
        simulation_case_id:
          type: string
          format: uuid
        workspace_id:
          type: string
        suite_id:
          type:
            - string
            - 'null'
          format: uuid
          description: ID of the simulation suite this case belongs to.
        name:
          type: string
        prompt:
          type: string
        type:
          $ref: '#/components/schemas/SimulationCaseReadOutType'
        success_criteria:
          type: array
          items:
            type: string
        call_success_type:
          $ref: '#/components/schemas/SimulationCaseReadOutCallSuccessType'
        base_agent:
          oneOf:
            - $ref: '#/components/schemas/SimulationCaseReadOutBaseAgent'
            - type: 'null'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      description: Simulation case details.
      title: SimulationCaseReadOut
    AgentListItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        avatar:
          type:
            - string
            - 'null'
      title: AgentListItem
    SimulationSuiteReadOut:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the simulation suite
        name:
          type: string
          description: Name of the simulation suite
        model_id:
          type: string
          description: Agent model ID this suite is for
        workspace_id:
          type: string
          description: Workspace ID this suite belongs to
        language:
          type: string
          default: en-US
          description: >-
            Language locale for the persona agent and test cases (e.g., 'en-US',
            'es-ES', 'fr-FR')
        cases:
          type: array
          items:
            $ref: '#/components/schemas/SimulationCaseReadOut'
          description: Test cases included in this suite
        agent:
          $ref: '#/components/schemas/AgentListItem'
          description: Agent information associated with this suite
        created_at:
          type: string
          format: date-time
          description: When the suite was created
        updated_at:
          type: string
          format: date-time
          description: When the suite was last updated
      title: SimulationSuiteReadOut
    create-simulation-suite_Response_200:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/status'
        response:
          $ref: '#/components/schemas/SimulationSuiteReadOut'
      title: create-simulation-suite_Response_200
    Create-simulation-suiteRequestBadRequestError:
      type: object
      properties: {}
      title: Create-simulation-suiteRequestBadRequestError
  securitySchemes:
    sec0:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python
import requests

url = "https://api.synthflow.ai/v2/simulation_suites"

payload = {
    "name": "Sales Agent Test Suite",
    "model_id": "1726005822670x239735712159542050",
    "language": "en-US"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/simulation_suites"

	payload := strings.NewReader("{\n  \"name\": \"Sales Agent Test Suite\",\n  \"model_id\": \"1726005822670x239735712159542050\",\n  \"language\": \"en-US\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/simulation_suites")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Sales Agent Test Suite\",\n  \"model_id\": \"1726005822670x239735712159542050\",\n  \"language\": \"en-US\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.synthflow.ai/v2/simulation_suites")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Sales Agent Test Suite\",\n  \"model_id\": \"1726005822670x239735712159542050\",\n  \"language\": \"en-US\"\n}")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/simulation_suites");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Sales Agent Test Suite\",\n  \"model_id\": \"1726005822670x239735712159542050\",\n  \"language\": \"en-US\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "Sales Agent Test Suite",
  "model_id": "1726005822670x239735712159542050",
  "language": "en-US"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/simulation_suites")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```